Page MenuHomePhabricator

ATS lua script reload doesn't work as expected
Open, NormalPublic

Description

Our current puppetization touches remap.config and reloads the TS service to reload modified lua scripts, this wasn't enough to apply the changes introduced by https://gerrit.wikimedia.org/r/#/q/I6c7c473cfcd3ce3fc3b7c0552018badf5fb1c9aa making necessary a service restart to make the changes effective.

Details

Related Gerrit Patches:
operations/puppet : productionATS: enable reload for global Lua script
operations/puppet : productionATS: do not pass enable-reload to tslua
operations/puppet : productionATS: Enable reloading global lua script

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 19 2019, 5:34 AM
Vgutierrez triaged this task as Normal priority.Sep 19 2019, 5:34 AM
Vgutierrez moved this task from Triage to Caching on the Traffic board.
ema added a comment.EditedOct 14 2019, 7:43 PM

The ability to reload global lua scripts has been added in 9.x: https://github.com/apache/trafficserver/commit/e6147753cd65c3edd32b365e09b4d65edcffdd01

This explains why reloading a global tls.lua script does not work. We might want to consider backporting that patch.

Reloading per-remap lua scripts works just fine on 8.x, provided that remap.config has changed (ie: touch remap.config ; traffic_ctl config reload). We need to update our puppetization accordingly.

nice catch, I have to backport the SSL EC cache PR... so I guess I'll include this one as well

hmmm it looks like the commit is on 8.x but the feature is disabled by default, see https://github.com/apache/trafficserver/pull/3940/commits/cc7b7dd7540fb33d93aa969defb416461c0202e7

Change 543022 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] ATS: Enable reloading global lua script

https://gerrit.wikimedia.org/r/543022

Change 543022 merged by Vgutierrez:
[operations/puppet@production] ATS: Enable reloading global lua script

https://gerrit.wikimedia.org/r/543022

Mentioned in SAL (#wikimedia-operations) [2019-10-22T06:32:00Z] <vgutierrez> rolling restart of ats-tls - T233274 T234803

Vgutierrez closed this task as Resolved.Oct 22 2019, 7:56 AM
Vgutierrez claimed this task.
Vgutierrez removed a project: Patch-For-Review.

Change 545522 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] ATS: do not pass enable-reload to tslua

https://gerrit.wikimedia.org/r/545522

Vgutierrez reopened this task as Open.Oct 23 2019, 10:34 AM

The solution proposed in https://gerrit.wikimedia.org/r/543022 doesn't work as expected due to a bug on ATS. after a config reload the lua script loses the argtb

Change 545522 merged by Ema:
[operations/puppet@production] ATS: do not pass enable-reload to tslua

https://gerrit.wikimedia.org/r/545522

Mentioned in SAL (#wikimedia-operations) [2019-10-23T12:31:22Z] <vgutierrez> restarting ats-tls on cache text nodes - T233274

Change 552201 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] ATS: enable reload for global Lua script

https://gerrit.wikimedia.org/r/552201